.TH asmounter 0.1 "8 Mar 1999"
.UC
.SH NAME
\fBasmounter\fP \- AfterStep All-Purpose Mounter
.SH SYNOPSIS
.B asmounter
        [-h] 
	[-v]
	[-s]
	[-w]
.SH DESCRIPTION
\fBAsmounter\fP monitors different mount points and facilitates the mounting
and unmounting of these mount points.  It is designed to work with the
AfterStep window manager.  The code is loosely based on wmmount and asmodem
and others.  I primarily wrote this program to gain a rudimentary
understanding of X programming so that I may go on to write better apps for
AfterStep (hopefully).
.SH CONFIGURATION OPTIONS
.IP "-h"
.RS	
Prints a help message
.RE
.IP "-v"
.RS	
Prints the version information
.RE
.IP "-s"
.RS
Starts \fBasmounter\fP with a shaped window. Useful if you would like to place
\fBasmounter\fP in your Wharf.
.RE
.IP "-w"
.RS
Starts \fBasmounter\fP as a withdrawn window. Useful if you would like to place
\fBasmounter\fP in the Dock of WindowMaker.
.RE
.SH EXAMPLES
Here is an example of how to start \fBasmounter\fP from the command line.
  
.nf
asmounter -s &
.fi

Here is an example of how to start \fBasmounter\fP from within
\fBAfterStep\fP.  It uses the shaped extension.  Place the following line in
your \fI.wharf\fP file in your ~/GNUstep/Library/Afterstep directory.

.nf
*Wharf - - Swallow "asmounter" asmounter -s &
.fi

.SH COPYRIGHT
Copyright (c) 1999 by David Taylor.  No guarantees.  No warrantees.

.SH AUTHOR
David Taylor
.RE
n9506769@scholar.nepean.uws.edu.au






